.instant-search {
    position: relative;
    max-width: 250px;
  }
  
  .instant-search,
  .instant-search__input {
    font-family: sans-serif;
  }
  
  .instant-search,
  .instant-search * {
    transition: background 0.15s, box-shadow 0.15s;
  }
  
  .instant-search:focus-within {
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.2);
  }
  
  .instant-search--loading::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    height: 2px;
    background: #009578;
    border-radius: 5px;
    animation: searchIndicator 0.5s infinite ease-in-out;
  }
  
  @keyframes searchIndicator {
    0% {
      width: 15%;
    }
    50% {
      width: 100%;
    }
    100% {
      width: 15%;
    }
  }
  
  .instant-search,
  .instant-search__input-container {
    border-radius: 5px;
  }
  
  .instant-search__input-container {
    display: inline-flex;
    box-sizing: border-box;
    width: 100%;
    padding: 6px;
    background: #eeeeee;
  }
  
  .instant-search__input-container:focus-within {
    background: #ffffff;
  }
  
  .instant-search__input {
    flex-grow: 1;
    border: none;
    outline: none;
    width: 100%;
    padding: 0 6px;
    background: transparent;
  }
  
  .instant-search__results-container {
    max-height: 250px;
    overflow-y: auto;
    visibility: hidden;
    opacity: 0;
    transition: visibility 0.1s, opacity 0.1s;
  }
  
  .instant-search__results-container--visible {
    visibility: visible;
    opacity: 1;
  }
  
  .instant-search__result {
    display: block;
    color: #333333;
    text-decoration: none;
    padding: 10px;
    font-size: 0.8em;
    cursor: pointer;
  }
  
  .instant-search__result:hover {
    background: #eeeeee;
  }
  
  .instant-search__result:not(:last-of-type) {
    border-bottom: 1px solid #eeeeee;
  }
  
  .instant-search__title {
    font-size: 1.1em;
    font-weight: bold;
  }
  
  .instant-search__paragraph {
    line-height: 1.5;
    margin: 8px 0;
  }
  